package gov.va.med.esr.common.rule.data;

// Java classes

// Library classes

// Framework classes

// ESR classes
import gov.va.med.esr.common.model.ee.EGTSetting;

/**
 * Class that provides data for EGT rules.
 * 
 * @author Carlos Ruiz
 * @version 1.0
 */
public class EgtInputData extends BaseData {

    /**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = 1685553029916648481L;

	public EgtInputData() {
        super();

    }

    public EgtInputData(EGTSetting incoming, EGTSetting result) {
        super(incoming, result);
    }
    
    public EGTSetting getIncomingEGTSetting() {
        return (EGTSetting)this.getIncomingData();
    }
    
    public EGTSetting getResultEGTSetting() {
        return (EGTSetting)this.getResultData();
    }
}
